import { Readable } from 'stream';
/**
 * Runs `git check-ignore` and parses the result
 * @param paths Paths relative to working directory
 * @returns A readable stream in object mode. Each chunk will be a string that is ignored by git.
 */
declare const gitCheckIgnore: (paths: Set<string>) => Promise<Readable>;
export default gitCheckIgnore;
