import getExtension from './getExtension.js';
const splitFileFromExtension = (extensions, file) => {
    const extension = getExtension(extensions, file);
    if (extension === undefined)
        return;
    const nameWithoutExtension = file.slice(0, -extension.length);
    return { extension, nameWithoutExtension };
};
export default splitFileFromExtension;
